- Home
- API Enriched
- Shape
- shape
- Enable Application Traffic Insights.
Enable Application Traffic Insights.
POST
/api/shape/dip/namespaces/system/enable
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/enable';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"region":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/enable \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "region": "example" }'Enable Application Traffic Insights feature for the tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
EnableRequest
Any payload to be passed on the Provision API.
object
region
Region
Target webpage to check src tag injection.
string
Examplegenerated
{ "region": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
EnableResponse
Any payload to be return by Provision API.
object
body
Body
Data received from the downstream server.
string format: byte
status
Status
HTTP status as reported by the backend.
string format: int64
Examplegenerated
{ "body": "example", "status": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example